"{ Package: 'exept:regression' }"

"{ NameSpace: RegressionTests }"

TestCase subclass:#CharacterSetTests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'tests-Regression-Collections'
!


!CharacterSetTests methodsFor:'tests'!

test01_creation
    |s|

    s := CharacterSet new.
    self assert:(s isEmpty).
    self assert:(s size == 0).
    self assert:(s notEmpty) not.

    "Created: / 28-01-2011 / 17:32:20 / cg"
!

test02_addRemove
    |s|

    s := CharacterSet new.
    self assert:(s size == 0).
    self assert:(s includes:(Character value:10)) not.
    self assert:(s includes:(Character value:9)) not.
    self assert:(s includes:(Character value:11)) not.

    s add:(Character value:10).
    self assert:(s size == 1).
    self assert:(s includes:(Character value:10)).
    self assert:(s includes:(Character value:9)) not.
    self assert:(s includes:(Character value:11)) not.

    s remove:(Character value:11) ifAbsent:[].
    self assert:(s size == 1).
    self assert:(s includes:(Character value:10)).
    self assert:(s includes:(Character value:9)) not.
    self assert:(s includes:(Character value:11)) not.

    s remove:(Character value:10).
    self assert:(s size == 0).
    self assert:(s includes:(Character value:10)) not.
    self assert:(s includes:(Character value:9)) not.
    self assert:(s includes:(Character value:11)) not.

    "Created: / 28-01-2011 / 17:41:18 / cg"
! !

!CharacterSetTests class methodsFor:'documentation'!

version_CVS
    ^ '$Header$'
! !

